# URL Callback/Return URL

This callback URL is if the process has been completed merchant transaction paid for by the customer and the merchant already has transaction status notifications. Furthermore, the bank (payment channel) will automatically redirect to the URL callback to inform the merchant that the transaction has been completed. The callback URL is provided by the merchant.

&#x20;**Example URL merchants in hit by Faspay**

> <https://merchant_url.com/thankyou?trx_id=8985999990013136&merchant_id=99999&merchant=FASPAY+STORE&bill_no=4370&bill_ref=4370&bill_total=10000&bank_user_name=FaspayTest&status=0&signature=0da33ad07fe9980f7b7ff70a964803e821a86866>

{% hint style="danger" %}
**Don't ever update the payment status on the merchant to this process**
{% endhint %}

**Request Parameter URL Notification**

Request notification URL parameters are parameters that are sent to the merchant's Faspay inquiry notification URL.

<table><thead><tr><th width="174">Parameter</th><th width="171">Data Type</th><th width="96">M/O/C</th><th>Description</th></tr></thead><tbody><tr><td>merchant_id</td><td>Numeric (15)</td><td>M</td><td>Merchant Code</td></tr><tr><td>bill_no</td><td>Alphanumeric (32)</td><td>M</td><td>Order Number</td></tr><tr><td>request</td><td>Alphanumeric (50)</td><td>O</td><td>Request Name</td></tr><tr><td>trx_id</td><td>Numeric (16)</td><td>M</td><td>Transaction ID (Issued/generated by Faspay (Media Indonusa))<br>Notes: Unique Transaction ID for 1 day or as long as it hasn't been paid and hasn't expired</td></tr><tr><td>bill_reff</td><td>Alphanumeric (20)</td><td>M</td><td>bill_refference</td></tr><tr><td>bill_total</td><td>Numeric</td><td>M</td><td>bill_total</td></tr><tr><td>payment_reff</td><td>Alphanumeric (16)</td><td>O</td><td>Payment reference</td></tr><tr><td>payment_date</td><td>Datetime</td><td>M</td><td>Payment date</td></tr><tr><td>bank_user_name</td><td>Alphanumeric (40)</td><td>M</td><td>Channel customer name</td></tr><tr><td>status</td><td>Char (1)</td><td>M</td><td>Payment status</td></tr><tr><td>signature</td><td>Alphanumeric</td><td>M</td><td>Sha1(md5(user_id+password + bill_no + payment_status_code))</td></tr></tbody></table>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.faspay.co.id/merchant-integration/api-reference-1/debit-transaction/url-callback-return-url.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
